<?php
	require_once( $GLOBALS["site_root"]."/includes/models/Globals.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/models/Status.inc.php" );

	class AdminUserStatusFilter extends AdminSelect {
		public function __construct( $id , $parent ) {
			parent::__construct( $id , $parent );
		}

		public function render() {
			if ($this->sRendered) return $this->sRendered;

			$sm = new StatusModel();
			$statuses = $sm->getStatusOptions( true );
			$this->addOptions( $statuses );
			return parent::render();
		}

	}


?>
